import {Component, Input} from '@angular/core';

@Component({
  selector: 'nice-top-bar',
  template: `
    <div class="top-bar">
      <div class="top-bar-left">
        <div class="top-bar-logo"></div>
        <div class="top-bar-title">{{title.toUpperCase()}}</div>
      </div>
      <div class="top-bar-right">
        <div class="top-bar-users">Oren Levi</div>
        <div class="top-bar-alert"></div>
        <div class="top-bat-nice-logo"></div>
        <div class="top-bar-apps"></div>
      </div>
    </div>
  `,
  styles: [`
    .top-bar {
      width: 100%;
      height: 50px;
      background-color: black;
      display: flex;
      align-content: center;
      align-items: center;
      color: white;
    }
    
    .top-bar-left{
      display: flex;
      height: 100%;
      align-items: flex-start;
      width: 50%;
    }

    .top-bar-right{
      display: flex;
      height: 100%;
      align-self: flex-end;
      width: 50%;
    }
    
    .top-bar-logo {
      width: 50px;
    }

    .top-bar-title {
      color: white;
      font-size: 17pt;
      margin-top: auto;
      margin-bottom: auto;
    }

    .top-bar-users {
      margin-top: auto;
      margin-bottom: auto;
    }

    .top-bar-alert {

    }

    .top-bat-nice-logo {

    }

    .top-bar-apps {

    }

  `]
})
export class NiceTopBarComponent {

  @Input() title: string = '';

  constructor() {
  }

}
